Skip to content

@Verclene Verclene released this Nov 23, 2017 · 5 commits to master since this release

Changes

  • Modify VectorUtil#canBlockBeSeen()

Requirements

  • Java(TM) Runtime Environment 8
  • Minecraft 1.9.4/1.10/1.10.2
  • Minecraft Forge 12.17.0.1976 or later

How to install

  1. Install Minecraft Forge
  2. Download this MOD from the link below
  3. Put it into the mods folder

Download this MOD

FileName [1.9.4-1.10.x]EBLib-6.1.5.8.jar
SHA256 4581937e4f52a3680770b2814dc552e22ad776c6d6363b3fe2480e8bbb9a040c
Download link link 1 (from GoogleDrive)
Assets 2

@Verclene Verclene released this Jun 11, 2017 · 10 commits to master since this release

Changes

  • EBLib no longer supports 1.9
  • Modify Item#getItemByStringId()

Requirements

  • Java(TM) Runtime Environment 7 or later
  • Minecraft 1.9.4/1.10/1.10.2
  • Minecraft Forge 12.17.0.1976 or later

How to install

  1. Install Minecraft Forge
  2. Download this MOD from the link below
  3. Put it into the mods folder

Download this MOD

Aug 16 2017: LINK CHANGED

FileName [1.9.4-1.10.x]EBLib-6.1.4.7.jar
SHA-1 7676DB06668EC188B104AC29E41415801BFEE23D
SHA256 D492072EC5E548BA45EF654C6088DFD5F909B2A32B56E0F8BDE3D1612E30965F
Download link link 1 (from GoogleDrive)
Assets 2

@Verclene Verclene released this Jun 26, 2016 · 12 commits to master since this release

Changes

  • Expand launchable version: 1.9/1.9.4/1.10/1.10.2

Requirements

  • Java(TM) Runtime Environment 7 or later
  • Minecraft 1.9/1.9.4/1.10/1.10.2
  • Minecraft Forge 12.16.0.1766 or later

How to install

  1. Install Minecraft Forge
  2. Download this MOD from the link below
  3. Put it into the mods folder

Download this MOD

FileName EBLib-6.0.2.5.jar
md5 2dd741961e7ae800335aca5cef7aac2d
Download link link 1 (from GoogleDrive)
Assets 2
Jun 26, 2016
Stable 6.0.1.4

@Verclene Verclene released this Apr 30, 2016 · 17 commits to master since this release

Changes

Add

  • VEvent system(fake forge EventBus)

Modify

  • Make version-check use Forge updateJSON

Requirements

  • Java(TM) Runtime Environment 7 or later
  • Minecraft 1.9
  • Minecraft Forge 12.16.0.1766 or later

How to install

  1. Install forge.
  2. Download EBLib *.jar file.
  3. Put EBLib into the mods folder.

File information

Name EBLib-5.2.0.3-1.9.jar
md5sum 7f56bec00df3654c3ce8684a944c36a4
Download Link 1 from GoogleDrive
Assets 2

@Verclene Verclene released this Apr 6, 2016 · 20 commits to master since this release

Release note

General

  • First release for Minecraft 1.9

Requirements

  • Java(TM) Runtime Environment 7 or later
  • Minecraft 1.9
  • Minecraft Forge 12.16.0.1766 or later

How to install

  1. Install forge.
  2. Download EBLib *.jar file.
  3. Put EBLib into the mods folder.

File information

Name EBLib-5.1.0.1-1.9.jar
md5sum e4dd7d6a835949ee638ee3246b7aaaad
Download Link 1 from GoogleDrive
Assets 2

@Verclene Verclene released this Feb 4, 2016 · 23 commits to master since this release

CAUTION

!!NOT COMPATIBLE WITH MODS WHICH REQUIRES EBLib EL2 OR EARLIER!!

Changes

Adds

  • New Method: Version$VersionData#compareVersion

Modify

  • Version#getLatestVersion - Add timeout option

Requires

  • Java(TM) Runtime Environment 7 or later
  • Minecraft 1.8/1.8.8/1.8.9
  • Minecraft Forge 11.14.1.1334 or later

How to install

Download MOD (jar) file from the link below and put it into the mods folder.

Download MOD

Download MOD (jar) EBLib EL3 Build 13 from GoogleDrive
File Name EBLib-EL3B13-1.8.x.jar
MD5 f0da49774da74e8245f2572e60aea510
Assets 2

@Verclene Verclene released this Dec 28, 2015 · 27 commits to master since this release

CAUTION

!!NOT COMPATIBLE WITH MODS WHICH REQUIRES EBLib EL2 OR EARLIER!!

Changes

Modify

  • Total refactoring
  • Compatible with MC 1.8.x

Adds

  • New Interface: Pair
  • New Class: SinglePair implements Pair
  • New method: FileClassUtil.getFileName(LString)LString

Requires

  • Java(TM) Runtime Environment 7 or later
  • Minecraft 1.8/1.8.8/1.8.9
  • Minecraft Forge 11.14.1.1334 or later

How to install

Download MOD (jar) file from the link below and put it into the mods folder.

Download MOD

Download MOD (jar) OUTDATED. Use 3.3.13
File Name EBLib-EL3B10-1.8.x.jar
MD5 fcacd6931df6b2d69d7280ca980ecfb6
Assets 2
Dec 28, 2015
3.0.9(EL3 Build 9)
Nov 24, 2015
Stable Pre-R NX2 Build 4(2.1.4)
You can’t perform that action at this time.